// EDIT THESE TWO VARIABLES AS PREFERRED //

var mm_closeBcMenus = false;
var mm_highlightParentItems = true;

///////////////////////////////////////////

var mm_breadCrumbAnchor = -1;

function mm_breadCrumbs()
{
  var selectedItem = _itemRef;
  var i = mm_breadCrumbAnchor;

  if (mm_closeBcMenus) $Z();

  if (i > -1) {
    do {
      _mi[i][7] = _m[_mi[i][0]][6].offbgcolor;
      _mi[i][8] = _m[_mi[i][0]][6].offcolor;
      BDMenu(_mi[i][0]);
      i = getParentItemByItem(i);
    } while (!isNaN(i) && mm_highlightParentItems);
  }

  i = mm_breadCrumbAnchor = selectedItem;
  do {
    _mi[i][7] = _mi[i][19];
    _mi[i][8] = _mi[i][18];
    BDMenu(_mi[i][0]);
    i = getParentItemByItem(i);
  } while (!isNaN(i) && mm_highlightParentItems);
}

/// EXAMPLE MENU ///

_menuCloseDelay=500;
_menuOpenDelay=150;
_subOffsetTop=0;
_subOffsetLeft=0;


/// Style Definitions ///

with(mainStyleHoriz=new mm_style()){
onbgcolor="#CFE2D1";
oncolor="#407348";
offbgcolor="#579b63";
offcolor="#ebf3ec";
bordercolor="#66a26a";
borderstyle="outset";
borderwidth=1;
separatorcolor="#CFE2D1";
separatorsize=1;
padding=3;
fontsize=12;
fontstyle="normal";
fontfamily="Verdana, Tahoma, Arial";
pagecolor="#ffffff";
pagebgcolor="#83ba8c";
headercolor="#000000";
headerbgcolor="#ffffff";
subimage="submenu_arrow_down-off.gif";
onsubimage="submenu_arrow_down-on.gif";
subimagepadding=3;
high3dcolor="#c4d8e6";
low3dcolor="#579b63";
swap3d=1;
}

subStyle = new copyOf(mainStyleHoriz);
subStyle.subimage = "submenu_arrow_right-off.gif";
subStyle.onsubimage = "submenu_arrow_right-on.gif";
subStyle.pagebgcolor = "#83ba8c"; // change this to test support for multiple styles
subStyle.pagecolor = "#FFFFFF";   // change this to test support for multiple styles

// Main

with(milonic=new menuname("mainMenu")){
style=mainStyleHoriz;
top=80;
left=30;
orientation="horizontal";
alwaysvisible=1;
aI("text=Test 1;showmenu=test1;clickfunction=mm_breadCrumbs();");
aI("text=Test 2;showmenu=test2;clickfunction=mm_breadCrumbs();");
aI("text=Test 3;showmenu=test3;clickfunction=mm_breadCrumbs();");
aI("text=Test 4;showmenu=test4;clickfunction=mm_breadCrumbs();");
}

/// Submenu Definitions ///

// 1

with(milonic=new menuname("test1")){
style=subStyle;
aI("text=test1.1;showmenu=test1.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.2;showmenu=test1.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.3;showmenu=test1.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.4;showmenu=test1.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5;showmenu=test1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.1")){
style=subStyle;
aI("text=Load page in IFRAME;url=`javascript:mm_breadCrumbs();openIFrame('tempiframe','page1.htm')`"); 
aI("text=test1.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.2")){
style=subStyle;
aI("text=test1.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.3")){
style=subStyle;
aI("text=test1.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.4")){
style=subStyle;
aI("text=test1.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.5")){
style=subStyle;
aI("text=test1.5.1;showmenu=test1.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.2;showmenu=test1.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.3;showmenu=test1.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.4;showmenu=test1.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.5;showmenu=test1.5.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.5.1")){
style=subStyle;
aI("text=test1.5.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.5.2")){
style=subStyle;
aI("text=test1.5.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.5.3")){
style=subStyle;
aI("text=test1.5.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.5.4")){
style=subStyle;
aI("text=test1.5.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test1.5.5")){
style=subStyle;
aI("text=test1.5.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test1.5.5.5;clickfunction=mm_breadCrumbs();");
}

// 2

with(milonic=new menuname("test2")){
style=subStyle;
aI("text=test2.1;showmenu=test2.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.2;showmenu=test2.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.3;showmenu=test2.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.4;showmenu=test2.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5;showmenu=test2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.1")){
style=subStyle;
aI("text=test2.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.2")){
style=subStyle;
aI("text=test2.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.3")){
style=subStyle;
aI("text=test2.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.4")){
style=subStyle;
aI("text=test2.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.5")){
style=subStyle;
aI("text=test2.5.1;showmenu=test2.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.2;showmenu=test2.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.3;showmenu=test2.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.4;showmenu=test2.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.5;showmenu=test2.5.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.5.1")){
style=subStyle;
aI("text=test2.5.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.5.2")){
style=subStyle;
aI("text=test2.5.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.5.3")){
style=subStyle;
aI("text=test2.5.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.5.4")){
style=subStyle;
aI("text=test2.5.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test2.5.5")){
style=subStyle;
aI("text=test2.5.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test2.5.5.5;clickfunction=mm_breadCrumbs();");
}


// 3

with(milonic=new menuname("test3")){
style=subStyle;
aI("text=test3.1;showmenu=test3.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.2;showmenu=test3.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.3;showmenu=test3.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.4;showmenu=test3.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5;showmenu=test3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.1")){
style=subStyle;
aI("text=test3.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.2")){
style=subStyle;
aI("text=test3.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.3")){
style=subStyle;
aI("text=test3.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.4")){
style=subStyle;
aI("text=test3.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.5")){
style=subStyle;
aI("text=test3.5.1;showmenu=test3.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.2;showmenu=test3.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.3;showmenu=test3.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.4;showmenu=test3.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.5;showmenu=test3.5.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.5.1")){
style=subStyle;
aI("text=test3.5.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.5.2")){
style=subStyle;
aI("text=test3.5.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.5.3")){
style=subStyle;
aI("text=test3.5.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.5.4")){
style=subStyle;
aI("text=test3.5.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test3.5.5")){
style=subStyle;
aI("text=test3.5.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test3.5.5.5;clickfunction=mm_breadCrumbs();");
}

// 4

with(milonic=new menuname("test4")){
style=subStyle;
aI("text=test4.1;showmenu=test4.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.2;showmenu=test4.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.3;showmenu=test4.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.4;showmenu=test4.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5;showmenu=test4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.1")){
style=subStyle;
aI("text=test4.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.2")){
style=subStyle;
aI("text=test4.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.3")){
style=subStyle;
aI("text=test4.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.4")){
style=subStyle;
aI("text=test4.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.5")){
style=subStyle;
aI("text=test4.5.1;showmenu=test4.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.2;showmenu=test4.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.3;showmenu=test4.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.4;showmenu=test4.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.5;showmenu=test4.5.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.5.1")){
style=subStyle;
aI("text=test4.5.1.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.1.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.1.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.1.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.1.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.5.2")){
style=subStyle;
aI("text=test4.5.2.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.2.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.2.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.2.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.2.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.5.3")){
style=subStyle;
aI("text=test4.5.3.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.3.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.3.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.3.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.3.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.5.4")){
style=subStyle;
aI("text=test4.5.4.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.4.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.4.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.4.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.4.5;clickfunction=mm_breadCrumbs();");
}

with(milonic=new menuname("test4.5.5")){
style=subStyle;
aI("text=test4.5.5.1;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.5.2;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.5.3;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.5.4;clickfunction=mm_breadCrumbs();");
aI("text=test4.5.5.5;clickfunction=mm_breadCrumbs();");
}

drawMenus();

function Vsrc(){window.location="view-source:"+window.location.href}

